2018-12-12 19:29 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000047Branch 0.2.1-FINALBugpublic2016-11-23 10:11
Reporteruser13 
Assigned Touser13 
PriorityurgentSeveritymajorReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformApache 2.2.9 - mod_php 5.2.6OSWindows Vista Ultimate x64 SP1OS Version6001 SP1
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000047: Duplicate entry bei der Tabelle _mod_reg
DescriptionIch habe nur ext_cache deaktiviert und dann kam diese Fehlermeldung. Der "Duplicate entry" ist dann dabei immer die Modul-Bezeichnung (admin, index,etc)

Ähnliche Fehlermeldung (warscheinlich gleicher Bug) ist in Forenbeitrag http://forum.mxchange.org/topic-post1829.html#post1829 beschrieben. Auch in 0000005 als Notitz 10 ist eine solche Fehlermeldung aufgeführt.

Fataler Fehler Nr. 0000001:
   · E:InternetProjektemailtauschincmysql-manager.php (165):Duplicate entry 'admin' for key 2
Query string:
INSERT INTO mxchange_mod_reg (module, locked, hidden, mem_only, admin_only, has_menu) VALUES ('admin','Y','N','N','N','N')
Fataler Fehler Nr. 0000002:
   · E:InternetProjektemailtauschincmysql-manager.php (165):Duplicate entry 'admin' for key 2
Query string:
INSERT INTO mxchange_mod_reg (module, locked, hidden, mem_only, admin_only, has_menu) VALUES ('admin','Y','N','N','N','N')
Additional InformationEin manuelles Löschen des DB-Eintrages hilft nicht. Er wird beim nächsten Aufruf wieder reingeschrieben und es wird dann anscheinend versucht diesen Eintrag noch weitere 2mal einzutragen.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
related to 0000005closedQuix0r Kein Admin-Login möglich 
+Relationships

-Notes

~0000102

Quix0r (administrator)

Last edited: 2009-01-03 14:19

Ich glaube, du meinst genau dieses Posting:
http://forum.mxchange.org/topic-post1760.html#post1760

Wenn das damit reproduzierbar ist, indem die Erweiterung cache deaktiviert wird, hab ich schon mal einen Ansatz.

~0000103

user13

Jo dieser Post zeigt auch diesen Bug. Ich hab mal xdebug_get_function_stack() bei diesem Fehler an dieser Stelle gemacht.

Diese ausgabe erhalte ich, wenn ich zuerst manuell den eintrag in _mod_reg lösche.
xdebug_get_function_stack( ):Array
(
    [0] => Array
        (
            [function] => {main}
            [file] => E:\InternetProjekte\mailtausch\modules.php
            [line] => 0
            [params] => Array
                (
                )

        )

    [1] => Array
        (
            [file] => E:\InternetProjekte\mailtausch\modules.php
            [line] => 58
            [params] => Array
                (
                )

            [include_filename] => E:\InternetProjekte\mailtausch\inc\config.php
        )

    [2] => Array
        (
            [file] => E:\InternetProjekte\mailtausch\inc\config.php
            [line] => 165
            [params] => Array
                (
                )

            [include_filename] => E:\InternetProjekte\mailtausch\inc\mysql-connect.php
        )

    [3] => Array
        (
            [function] => CHECK_MODULE
            [file] => E:\InternetProjekte\mailtausch\inc\mysql-connect.php
            [line] => 213
            [params] => Array
                (
                )

        )

)
xdebug_get_function_stack( ):Array
(
    [0] => Array
        (
            [function] => {main}
            [file] => E:\InternetProjekte\mailtausch\modules.php
            [line] => 0
            [params] => Array
                (
                )

        )

    [1] => Array
        (
            [file] => E:\InternetProjekte\mailtausch\modules.php
            [line] => 58
            [params] => Array
                (
                )

            [include_filename] => E:\InternetProjekte\mailtausch\inc\config.php
        )

    [2] => Array
        (
            [file] => E:\InternetProjekte\mailtausch\inc\config.php
            [line] => 165
            [params] => Array
                (
                )

            [include_filename] => E:\InternetProjekte\mailtausch\inc\mysql-connect.php
        )

    [3] => Array
        (
            [function] => CHECK_MODULE
            [file] => E:\InternetProjekte\mailtausch\inc\mysql-connect.php
            [line] => 213
            [params] => Array
                (
                )

        )

    [4] => Array
        (
            [function] => CHECK_MODULE
            [file] => E:\InternetProjekte\mailtausch\inc\mysql-manager.php
            [line] => 189
            [params] => Array
                (
                )

        )

)
xdebug_get_function_stack( ):Array
(
    [0] => Array
        (
            [function] => {main}
            [file] => E:\InternetProjekte\mailtausch\modules.php
            [line] => 0
            [params] => Array
                (
                )

        )

    [1] => Array
        (
            [file] => E:\InternetProjekte\mailtausch\modules.php
            [line] => 97
            [params] => Array
                (
                )

            [include_filename] => E:\InternetProjekte\mailtausch\inc\header.php
        )

    [2] => Array
        (
            [function] => ADD_MODULE_TITLE
            [file] => E:\InternetProjekte\mailtausch\inc\header.php
            [line] => 68
            [params] => Array
                (
                )

        )

    [3] => Array
        (
            [function] => CHECK_MODULE
            [file] => E:\InternetProjekte\mailtausch\inc\mysql-manager.php
            [line] => 71
            [params] => Array
                (
                )

        )

)

~0000104

user13

Funktion wird also insgesammt 3 mal aufgerufen. Wenn Eintrag vorhanden ist nur noch 2 mal und ich erhalte folgenden Stacktrace:

xdebug_get_function_stack( ):Array
(
    [0] => Array
        (
            [function] => {main}
            [file] => E:\InternetProjekte\mailtausch\modules.php
            [line] => 0
            [params] => Array
                (
                )

        )

    [1] => Array
        (
            [file] => E:\InternetProjekte\mailtausch\modules.php
            [line] => 58
            [params] => Array
                (
                )

            [include_filename] => E:\InternetProjekte\mailtausch\inc\config.php
        )

    [2] => Array
        (
            [file] => E:\InternetProjekte\mailtausch\inc\config.php
            [line] => 165
            [params] => Array
                (
                )

            [include_filename] => E:\InternetProjekte\mailtausch\inc\mysql-connect.php
        )

    [3] => Array
        (
            [function] => CHECK_MODULE
            [file] => E:\InternetProjekte\mailtausch\inc\mysql-connect.php
            [line] => 213
            [params] => Array
                (
                )

        )

)
xdebug_get_function_stack( ):Array
(
    [0] => Array
        (
            [function] => {main}
            [file] => E:\InternetProjekte\mailtausch\modules.php
            [line] => 0
            [params] => Array
                (
                )

        )

    [1] => Array
        (
            [file] => E:\InternetProjekte\mailtausch\modules.php
            [line] => 97
            [params] => Array
                (
                )

            [include_filename] => E:\InternetProjekte\mailtausch\inc\header.php
        )

    [2] => Array
        (
            [function] => ADD_MODULE_TITLE
            [file] => E:\InternetProjekte\mailtausch\inc\header.php
            [line] => 68
            [params] => Array
                (
                )

        )

    [3] => Array
        (
            [function] => CHECK_MODULE
            [file] => E:\InternetProjekte\mailtausch\inc\mysql-manager.php
            [line] => 71
            [params] => Array
                (
                )

        )

)

~0000117

Quix0r (administrator)

Das sollte moeglichst bald gefixt werden. Ich mache mich dran, wenn mein PC wieder da ist.

~0000378

Quix0r (administrator)

Kommt es noch weiterhin vor? Sollte eigentlich gefixt sein.

~0000479

Quix0r (administrator)

Kommt mit aktueller Revision nicht mehr vor.

~0000718

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2009-01-03 04:57 user13 New Issue
2009-01-03 14:11 Quix0r Relationship added related to 0000005
2009-01-03 14:12 Quix0r Fixed in Version => 0.2.1-FINAL
2009-01-03 14:12 Quix0r Target Version => 0.2.1-FINAL
2009-01-03 14:17 Quix0r Note Added: 0000102
2009-01-03 14:19 Quix0r Note Edited: 0000102
2009-01-03 21:21 user13 Note Added: 0000103
2009-01-03 21:22 user13 Note Added: 0000104
2009-02-05 22:56 Quix0r Note Added: 0000117
2009-02-05 22:56 Quix0r Assigned To => Quix0r
2009-02-05 22:56 Quix0r Priority normal => urgent
2009-02-05 22:56 Quix0r Status new => assigned
2009-02-05 22:56 Quix0r Projection none => minor fix
2009-02-05 22:56 Quix0r ETA none => < 1 day
2009-02-05 22:56 Quix0r Build => SVN-HEAD
2009-02-05 22:56 Quix0r Description Updated
2009-08-06 14:10 Quix0r Product Version 0.2.1-FINAL =>
2009-08-06 14:10 Quix0r Fixed in Version 0.2.1-FINAL =>
2009-10-05 14:26 Quix0r Note Added: 0000378
2009-10-05 14:26 Quix0r Assigned To Quix0r => user13
2009-10-05 14:26 Quix0r Status assigned => feedback
2009-11-25 21:56 Quix0r Fixed in Version => 0.2.1-FINAL
2010-05-28 16:41 Quix0r Product Version => 0.2.1-FINAL
2010-06-08 01:35 Quix0r Fixed in Version 0.2.1-FINAL =>
2010-07-01 02:13 Quix0r Note Added: 0000479
2010-07-01 02:13 Quix0r Status feedback => resolved
2010-07-01 02:13 Quix0r Fixed in Version => 0.2.1-FINAL
2010-07-01 02:13 Quix0r Resolution open => fixed
2016-11-23 10:11 Quix0r Note Added: 0000718
2016-11-23 10:11 Quix0r Status resolved => closed
+Issue History